> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sumsub Travel Rule public key

> Retrieve the RSA public key (JWK, RFC 7517) of the org's Sumsub Travel Rule integration. Use it to JWE-encrypt (RSA-OAEP-256 / A256GCM) the IVMS101 payload client-side before submitting a transfer screened by a Sumsub Travel Rule policy. Requires Travel Rule to be enabled for the tenant and an activated Sumsub integration on the org.

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Wallets:Transfers:Create`: Always required.


## OpenAPI

````yaml /openapi.yaml get /v2/policies/travel-rule/sumsub/public-key
openapi: 3.1.0
info:
  version: 2.0.211
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /v2/policies/travel-rule/sumsub/public-key:
    get:
      tags:
        - Policies
      summary: Get Sumsub Travel Rule public key
      description: >-
        Retrieve the RSA public key (JWK, RFC 7517) of the org's Sumsub Travel
        Rule integration. Use it to JWE-encrypt (RSA-OAEP-256 / A256GCM) the
        IVMS101 payload client-side before submitting a transfer screened by a
        Sumsub Travel Rule policy. Requires Travel Rule to be enabled for the
        tenant and an activated Sumsub integration on the org.
      operationId: getSumsubTravelRulePublicKey
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  kty:
                    type: string
                    enum:
                      - RSA
                  kid:
                    type: string
                    minLength: 1
                    maxLength: 256
                  'n':
                    type: string
                    minLength: 342
                    maxLength: 2048
                    pattern: >-
                      ^(?!A[A-P][A-Za-z0-9_-])(?:[A-Za-z0-9_-]{4})*(?:[A-Za-z0-9_-]{2,3})?$
                  e:
                    type: string
                    minLength: 1
                    maxLength: 16
                    pattern: >-
                      ^(?!A[A-P][A-Za-z0-9_-])(?:[A-Za-z0-9_-]{4})*(?:[A-Za-z0-9_-]{2,3})?$
                  use:
                    type: string
                    maxLength: 16
                required:
                  - kty
                  - kid
                  - 'n'
                  - e
      security:
        - authenticationToken: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.